Subject: Re: bug#24239: 25.1; Potential regression: Multibyte text in HTTP request

From: Eli Zaretskii <[email-masked]>
Date: Wed, 17 Aug 2016 18:17:26 +0300

> Cc: [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Wed, 17 Aug 2016 06:57:08 +0300
> 
> On 08/17/2016 05:44 AM, Eli Zaretskii wrote:
> 
> >> The related change is for the previous bug report (23750), and the
> >> commit a98aa02a that added the "Multibyte text in HTTP request" error.
> >
> > Yes, but how is url-request-data related?
> 
> Directly? The bug was about us setting Content-Length to a wrong value. 
> Content-Length describes the size of the request body, which is assigned 
> through url-request-data.

Yes, I know.  My problem is that I don't see how binding
url-request-data affects the payload that url-http-create-request
creates.  I'm probably missing something obvious, but what?

> > And are there any other
> > variables that should be mentioned?
> 
> url-http-extra-headers, probably. But its contents are less likely to be 
> multibyte.

OK, so I guess the entry is OK as it is.

Thanks.